/********************************************************************
 *            dvarchive.h
 *
 *  Tue Aug  1 00:51:23 2006
 *  Copyright  2006  Neil Williams
 *  linux@codehelp.co.uk
 ********************************************************************/
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _ARCHIVE_H
#define _ARCHIVE_H

#ifdef __cplusplus
extern "C"
{
#endif

void
set_dv_parent (GtkWidget *parent);
	
void
dv_archive_preload (GtkWidget *widget);

typedef struct
{
	GtkTreeStore *store;
	GtkTreeIter *parent_iter;
	GtkTreeIter *child_iter;
} DVIter;

typedef struct DV_s DVContents;

DVContents *
dv_create (void);

void
open_deb (const gchar *filename, DVContents * deb);

GtkWidget *
dv_get_parent (DVContents *deb);

void
set_deb_file (const gchar * filename, DVContents *deb);

void
prepare_contents (const gchar * filename, DVContents * deb);

void
dv_archive_get_control (DVIter *dvi, DVContents *deb);

void
dv_archive_get_data (DVIter *dvi, DVContents *deb);

void
dv_archive_free ();

gchar *
dv_get_control_content (const gchar * file, GtkWidget * widget);

gchar *
dv_get_data_content (const gchar * file, GtkWidget * widget);

gboolean
quit_last_window (gpointer data);

#ifdef __cplusplus
}
#endif

#endif /* _ARCHIVE_H */
